clang-tools 10.0.0

Namespaces | Functions
Background.cpp File Reference
`#include "index/Background.h"`
`#include "Compiler.h"`
`#include "Context.h"`
`#include "FSProvider.h"`
`#include "Headers.h"`
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Path.h"`
`#include "SourceCode.h"`
`#include "Symbol.h"`
`#include "Threading.h"`
`#include "Trace.h"`
`#include "URI.h"`
`#include "index/BackgroundIndexLoader.h"`
`#include "index/FileIndex.h"`
`#include "index/IndexAction.h"`
`#include "index/MemIndex.h"`
`#include "index/Ref.h"`
`#include "index/Relation.h"`
`#include "index/Serialization.h"`
`#include "index/SymbolCollector.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Driver/Types.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/DenseSet.h"`
`#include "llvm/ADT/Hashing.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/StringSet.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/Threading.h"`
`#include <algorithm>`
`#include <atomic>`
`#include <chrono>`
`#include <condition_variable>`
`#include <cstddef>`
`#include <memory>`
`#include <mutex>`
`#include <numeric>`
`#include <queue>`
`#include <random>`
`#include <string>`
`#include <thread>`
`#include <utility>`
`#include <vector>`
Include dependency graph for Background.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static llvm::StringRef | clang::clangd::filenameWithoutExtension (llvm::StringRef Path)